/**
 * Created by MyPC on 2019/11/11.
 */

var mobile2InfoTimeout = null;
var searchCuringTimeout = null;
var mobile='';
var getClentListTimeout = null;
var clientname='';
var columnLength=8;











//获得CLD客户list数据
function getClentList(){
    if(!isExistence(clientname)){
        console.log('参数错误');
        return ;
    }

    $.ajax({
        cache :false,
        type: 'GET',
        url: '/contacts/client/ajax/getClentList',
        data: { clientname: encodeURI(clientname) },
        dataType: 'json',

        success: function(data){
            if(data.status==1){
                var html=buildClientBySearch(data.list);
                $('div[searchClient] curingClient').html(html);
            }else {
                console.log(data.msg);
            }
        },
        error: function(xhr, type){
            console.log('Ajax error!')
        }
    })
}

/**
 * 用户升级专业版 弹框提示--用户详情界面
 * @param name
 * @param _id
 * @param username
 * @returns
 */
function upCuring(name,_id,username){
    $('#name').val(name);
    $('#_id').val(_id);
    var curingMobile=$('#curingMobile').val();
    var html='为用户 <b>'+curingMobile+','+username+'</b> 升级 <b>'+name+'</b>';
    $('div[upCuring] span').html(html);
}

$(document).ready(function(){
	init();
})


$(function() {
	
	
//------用户列表界面相关----------
    /**
     * 绑定分页-点击事件-刷新用户列表和分页列表
     * parameter 传递参数
     * currentPage
     */
    $('div[pageDetail]').delegate( 'a','click', function(){
        // 只获取第一个选中的值
        var parameter = $(this).attr('parameter');
        var currentPage = $(this).attr('currentPage');
        
        $('button[closeRefresh]').attr('currentPage',currentPage);
        $('button[closeRefresh]').attr('parameter',parameter);
        
        refreshCuringPagination(parameter,currentPage);
    });
	
    /**
     * 编办下拉选择
     */
    $('select[curingByCompilation]').on('change', function(e){
        var compilation=$(this).val();
        var latestCompilation=$('select[curingByLatestCompilation]').val();
        refreshCuringPage(compilation,latestCompilation);
    });
    $('select[curingByLatestCompilation]').on('change', function(e){
        var latestCompilation=$(this).val();
        var compilation=$('select[curingByCompilation]').val();
        refreshCuringPage(compilation,latestCompilation);
    });
    
    /**
     * 用户列表排序相关 
     */
    $('input[type=radio][name=sortField]').on('change', function(e){
    	var sortField=$(this).attr('data');
    	var latestCompilation=$('select[curingByLatestCompilation]').val();
    	var compilation=$('select[curingByCompilation]').val();
    	
    	refreshCuringPage(compilation,latestCompilation,sortField);
    });
    $('input[type=radio][name=sort]').on('change', function(e){
    	var sort=$(this).attr('data');
    	var latestCompilation=$('select[curingByLatestCompilation]').val();
    	var compilation=$('select[curingByCompilation]').val();
    	
    	refreshCuringPage(compilation,latestCompilation,'',sort);
    });
    
    /**
     * 通行证账号检索养护用户--缓冲300
     */
    $('input[mobile2Info]').on('keyup', function(e){
        if(mobile2InfoTimeout != null){
            clearTimeout(mobile2InfoTimeout);
        }
        mobile = $(this).val();
        if((/^1[34578]\d{9}$/.test(mobile))) {
            mobile2InfoTimeout = setTimeout(fnMobile2Info, 300);
        }
    });
    
    
//--------------用户详情界面相关---------
    /**
     * 动态绑定养护用户列表 打开用户详情页面事件 
     * ssoid
     * id
     * client_id
     */
    var coordinate = {};
    var ssoid='',client_id='';
    $('tbody[curingUser]').delegate( 'tr','mousedown', function(e){
        coordinate.x= e.pageX;
        coordinate.y= e.pageY;
        ssoid = $(this).attr('data');
        client_id=$(this).attr('dataCid');
    }).click(function(e){
    	if(coordinate.x==e.pageX&&coordinate.y==e.pageY){
            $(this).attr('data-toggle',' ');
            refreshCuringPageDetail(ssoid,client_id);
    	}
        
    });

    

    

    /**
     * 确定升级专业版--用户详情界面
     */
    $('button[upCuringDo]').on('click', function(e){
        // 只获取第一个选中的值
        var compilationId = $('#_id').val();
        var name = $('#name').val();
        var curingSsoid = $('#curingSsoid').val();
        var mobile = $('#curingMobile').val();
        var client_id = $('#client_id').val();
        if (curingSsoid != '' && compilationId != '') {
            $.ajax({
                cache :false,
                type: 'post',
                url: '/cloud/build/ajax/upCuringDo',
                data: {ssoid: curingSsoid, compilationId: compilationId, mobile: mobile, client_id: client_id, name: name},
                dataType: 'json',
                success: function(data) {
                    if (data.status == 1) {
                    	refreshCuringPageDetail(curingSsoid,client_id);
                    } else {
                        alert(data.msg);
                    }
                }
            })
        } else {
            alert('请选择需要升级的版本');
        }
    });
    
    /**
     * 用户绑定CLD客户--用户详情页
     */
    $('div[relevanceClientDo]').delegate( 'span','click', function(){
        // 只获取第一个选中的值
        var cidKey = $(this).attr('data');
        var ssoId = $('#curingSsoid').val();
        //var id=$('#id').val();

        $.ajax({
            cache :false,
            type: 'POST',
            url: '/cloud/build/ajax/relevanceClientDo',
            data: {cidKey: encodeURI(cidKey),ssoId:encodeURI(ssoId)},
            dataType: 'json',
            success: function(data){
                if(data.status==1){
                	refreshCuringPageDetail(ssoId,cidKey);
                    $('#linkcld').modal('hide');
                }else{
                    alert(data.msg);
                }
            },
            error: function(xhr, type){
                console.log('Ajax error!')
            }
        })

    });
    
    /**
     * 用户取消关联CLD客户--用户详情页
     */
    $('button[relieveClientDo]').on('click', function(e){
        // 只获取第一个选中的值
        var cid = $(this).attr('data');
        var ssoId = $('#curingSsoid').val();
        $('#unlinkcld').modal('hide');
        $.ajax({
            cache :false,
            type: 'POST',
            url: '/cloud/build/ajax/relieveClientDo',
            data: {cid: encodeURI(cid),ssoId:encodeURI(ssoId)},
            dataType: 'json',
            success: function(data){
                if(data.status==1){
                	refreshCuringPageDetail(ssoId,cid);
                	
                }else{
                    alert(data.msg);
                }
            },
            error: function(xhr, type){
                console.log('Ajax error!')
            }
        })

    });

    /**
     * 关闭详情页--刷新用户列表
     */
    $('button[closeRefresh]').on('click', function(e){
        // 只获取第一个选中的值
        
        var parameter=$('button[closeRefresh]').attr('parameter');
    	if(parameter!=''){
    		var currentPage=$('button[closeRefresh]').attr('currentPage');
    		refreshCuringPagination(parameter,currentPage);
    	}else{
    		var latestCompilation=$('select[curingByLatestCompilation]').val();
        	var compilation=$('select[curingByCompilation]').val();
    		refreshCuringPage(compilation,latestCompilation,'','',mobile);
    		
    	}
        
    });

    //
    /**
     * 检索cld用户
     */
    $('input[getClentList]').on('keyup', function(e){
        if(getClentListTimeout != null){
            clearTimeout(getClentListTimeout);
        }
        clientname = $(this).val();
        if(isExistence(clientname)){

            getClentListTimeout = setTimeout(getClentList, 500);
        }


    });

    
    
    

    

    
    //列表 号码检索事件绑定
    $('div[mobile2Info]').on('click', function(e){
        mobile=$('input[mobile2Info]').val();
        if(mobile==''){
            location.reload()
        }
        fnMobile2Info();
    });

    

    
    
    
    
    

})

